#!/usr/bin/env kjscmd

sax = new Object();

sax.startDocument = function() {
   println( "start document" );
   return true;
}

sax.startElement = function( namespace, localname, qualifiedname ) {
   println( "start: '" + namespace + "', '" + localname + "', '" + qualifiedname + "'" );
   return true;
}

sax.endElement = function( namespace, localname, qualifiedname ) {
   println( "end: '" + namespace + "', '" + localname + "', '" + qualifiedname + "'" );
   return true;
}

sax.characters = function( chars ) {
   println( "characters: '" + chars + "'" );
   return true;
}

sax.endDocument = function() {
   println( "end document" );
   return true;
}

try {
    saxLoadFile( sax, application.args[0] );
}
catch( theErr )
{
    println(theErr);
}
